Screens
Creates a new screen
Creates a new screen
Permissions
| Resource | Permission | Usage |
|---|---|---|
screen | write | Lets you put together a new screen of your own |
POST
/
v1
/
config
/
screen
Creates a new screen
curl --request POST \
--url https://api.mezmo.com/v1/config/screen \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"rotate90Degrees": true,
"categories": [
"<string>"
],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": [
"<unknown>"
],
"end": [
"<unknown>"
]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": true,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}
'import requests
url = "https://api.mezmo.com/v1/config/screen"
payload = {
"title": "<string>",
"rotate90Degrees": True,
"categories": ["<string>"],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": ["<unknown>"],
"end": ["<unknown>"]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": True,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
rotate90Degrees: true,
categories: ['<string>'],
widgets: [
{
id: '<string>',
field: '<string>',
position: {start: ['<unknown>'], end: ['<unknown>']},
match: '<string>',
filter: '<string>',
label: '<string>',
leftLabel: '<string>',
rightLabel: '<string>',
showBarChart: true,
groupBy: '<string>',
min: 123,
max: 123,
units: '<string>'
}
]
})
};
fetch('https://api.mezmo.com/v1/config/screen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mezmo.com/v1/config/screen",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'rotate90Degrees' => true,
'categories' => [
'<string>'
],
'widgets' => [
[
'id' => '<string>',
'field' => '<string>',
'position' => [
'start' => [
'<unknown>'
],
'end' => [
'<unknown>'
]
],
'match' => '<string>',
'filter' => '<string>',
'label' => '<string>',
'leftLabel' => '<string>',
'rightLabel' => '<string>',
'showBarChart' => true,
'groupBy' => '<string>',
'min' => 123,
'max' => 123,
'units' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mezmo.com/v1/config/screen"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"rotate90Degrees\": true,\n \"categories\": [\n \"<string>\"\n ],\n \"widgets\": [\n {\n \"id\": \"<string>\",\n \"field\": \"<string>\",\n \"position\": {\n \"start\": [\n \"<unknown>\"\n ],\n \"end\": [\n \"<unknown>\"\n ]\n },\n \"match\": \"<string>\",\n \"filter\": \"<string>\",\n \"label\": \"<string>\",\n \"leftLabel\": \"<string>\",\n \"rightLabel\": \"<string>\",\n \"showBarChart\": true,\n \"groupBy\": \"<string>\",\n \"min\": 123,\n \"max\": 123,\n \"units\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mezmo.com/v1/config/screen")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"rotate90Degrees\": true,\n \"categories\": [\n \"<string>\"\n ],\n \"widgets\": [\n {\n \"id\": \"<string>\",\n \"field\": \"<string>\",\n \"position\": {\n \"start\": [\n \"<unknown>\"\n ],\n \"end\": [\n \"<unknown>\"\n ]\n },\n \"match\": \"<string>\",\n \"filter\": \"<string>\",\n \"label\": \"<string>\",\n \"leftLabel\": \"<string>\",\n \"rightLabel\": \"<string>\",\n \"showBarChart\": true,\n \"groupBy\": \"<string>\",\n \"min\": 123,\n \"max\": 123,\n \"units\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mezmo.com/v1/config/screen")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"rotate90Degrees\": true,\n \"categories\": [\n \"<string>\"\n ],\n \"widgets\": [\n {\n \"id\": \"<string>\",\n \"field\": \"<string>\",\n \"position\": {\n \"start\": [\n \"<unknown>\"\n ],\n \"end\": [\n \"<unknown>\"\n ]\n },\n \"match\": \"<string>\",\n \"filter\": \"<string>\",\n \"label\": \"<string>\",\n \"leftLabel\": \"<string>\",\n \"rightLabel\": \"<string>\",\n \"showBarChart\": true,\n \"groupBy\": \"<string>\",\n \"min\": 123,\n \"max\": 123,\n \"units\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"ratio": "3:2",
"rotate90Degrees": true,
"background": "dark",
"account": "<string>",
"categories": [
"<string>"
],
"widgets": [
{
"id": "<string>",
"type": "count",
"operation": "count",
"duration": "hourly-compare",
"field": "<string>",
"position": {
"start": [
"<unknown>"
],
"end": [
"<unknown>"
]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"sort": "asc",
"rows": 3,
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": true,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>",
"format": "number-integer"
}
]
}{
"error": "\"ratio\" is required",
"code": "BadRequest",
"status": "error"
}Authorizations
Body
application/json
Request body.
Response
A new screen was created successfully! Entire memberResource is returned.
Was this page helpful?
Creates a new screen
curl --request POST \
--url https://api.mezmo.com/v1/config/screen \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"rotate90Degrees": true,
"categories": [
"<string>"
],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": [
"<unknown>"
],
"end": [
"<unknown>"
]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": true,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}
'import requests
url = "https://api.mezmo.com/v1/config/screen"
payload = {
"title": "<string>",
"rotate90Degrees": True,
"categories": ["<string>"],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": ["<unknown>"],
"end": ["<unknown>"]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": True,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
rotate90Degrees: true,
categories: ['<string>'],
widgets: [
{
id: '<string>',
field: '<string>',
position: {start: ['<unknown>'], end: ['<unknown>']},
match: '<string>',
filter: '<string>',
label: '<string>',
leftLabel: '<string>',
rightLabel: '<string>',
showBarChart: true,
groupBy: '<string>',
min: 123,
max: 123,
units: '<string>'
}
]
})
};
fetch('https://api.mezmo.com/v1/config/screen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mezmo.com/v1/config/screen",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'rotate90Degrees' => true,
'categories' => [
'<string>'
],
'widgets' => [
[
'id' => '<string>',
'field' => '<string>',
'position' => [
'start' => [
'<unknown>'
],
'end' => [
'<unknown>'
]
],
'match' => '<string>',
'filter' => '<string>',
'label' => '<string>',
'leftLabel' => '<string>',
'rightLabel' => '<string>',
'showBarChart' => true,
'groupBy' => '<string>',
'min' => 123,
'max' => 123,
'units' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mezmo.com/v1/config/screen"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"rotate90Degrees\": true,\n \"categories\": [\n \"<string>\"\n ],\n \"widgets\": [\n {\n \"id\": \"<string>\",\n \"field\": \"<string>\",\n \"position\": {\n \"start\": [\n \"<unknown>\"\n ],\n \"end\": [\n \"<unknown>\"\n ]\n },\n \"match\": \"<string>\",\n \"filter\": \"<string>\",\n \"label\": \"<string>\",\n \"leftLabel\": \"<string>\",\n \"rightLabel\": \"<string>\",\n \"showBarChart\": true,\n \"groupBy\": \"<string>\",\n \"min\": 123,\n \"max\": 123,\n \"units\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mezmo.com/v1/config/screen")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"rotate90Degrees\": true,\n \"categories\": [\n \"<string>\"\n ],\n \"widgets\": [\n {\n \"id\": \"<string>\",\n \"field\": \"<string>\",\n \"position\": {\n \"start\": [\n \"<unknown>\"\n ],\n \"end\": [\n \"<unknown>\"\n ]\n },\n \"match\": \"<string>\",\n \"filter\": \"<string>\",\n \"label\": \"<string>\",\n \"leftLabel\": \"<string>\",\n \"rightLabel\": \"<string>\",\n \"showBarChart\": true,\n \"groupBy\": \"<string>\",\n \"min\": 123,\n \"max\": 123,\n \"units\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mezmo.com/v1/config/screen")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"rotate90Degrees\": true,\n \"categories\": [\n \"<string>\"\n ],\n \"widgets\": [\n {\n \"id\": \"<string>\",\n \"field\": \"<string>\",\n \"position\": {\n \"start\": [\n \"<unknown>\"\n ],\n \"end\": [\n \"<unknown>\"\n ]\n },\n \"match\": \"<string>\",\n \"filter\": \"<string>\",\n \"label\": \"<string>\",\n \"leftLabel\": \"<string>\",\n \"rightLabel\": \"<string>\",\n \"showBarChart\": true,\n \"groupBy\": \"<string>\",\n \"min\": 123,\n \"max\": 123,\n \"units\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"ratio": "3:2",
"rotate90Degrees": true,
"background": "dark",
"account": "<string>",
"categories": [
"<string>"
],
"widgets": [
{
"id": "<string>",
"type": "count",
"operation": "count",
"duration": "hourly-compare",
"field": "<string>",
"position": {
"start": [
"<unknown>"
],
"end": [
"<unknown>"
]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"sort": "asc",
"rows": 3,
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": true,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>",
"format": "number-integer"
}
]
}{
"error": "\"ratio\" is required",
"code": "BadRequest",
"status": "error"
}
